Name:            texmaker
Epoch:           1
Version:         6.0.0
Release:         %mkrel 2
Summary:         A QT-based LATEX editor
License:         GPLv2
Group:           Publishing
URL:             https://www.xm1math.net/texmaker/
Source0:         https://www.xm1math.net/texmaker/%{name}-%{version}.tar.bz2
Patch0:          texmaker-6.0.0-unbundle-qtsingleapplication-and-hunspell.patch
BuildRequires:   cmake
BuildRequires:   desktop-file-utils
BuildRequires:   cmake(Qt6Core)
BuildRequires:   cmake(Qt6Core5Compat)
BuildRequires:   cmake(Qt6Concurrent)
BuildRequires:   cmake(Qt6DBus)
BuildRequires:   cmake(Qt6Gui)
BuildRequires:   cmake(Qt6LinguistTools)
BuildRequires:   cmake(Qt6Network)
BuildRequires:   cmake(Qt6PrintSupport)
BuildRequires:   cmake(Qt6Qml)
%ifnarch %{ix86} %{arm32}
BuildRequires:   cmake(Qt6WebEngineWidgets)
%endif
BuildRequires:   cmake(Qt6Widgets)
BuildRequires:   cmake(Qt6Xml)
BuildRequires:   qtsingleapplication-qt6-devel
BuildRequires:   pkgconfig(hunspell)
BuildRequires:   pkgconfig(zlib)

Requires:        hunspell

%description
Texmaker is a free LaTeX editor that integrates many tools needed to develop
documents with LaTeX, in just one application.

It includes the following features:
- an unicode editor to write your LaTeX source files
  (syntax highlighting, undo-redo, search-replace, ...)
- the principal LaTex tags can be inserted directly with the "LaTeX",
  "Math" and "Greek" menus
- 370 mathematical symbols can be inserted in just one click
- wizards to generate code ('Quick document', 'Quick letter', tabular,
  tabbing and array environments)
- LaTeX-related programs can be launched via the "Tools" menu
- the standard Bibtex entry types can be inserted in the ".bib" file
  with the "Bibliography" menu
- a "structure view" of the document for easier navigation of a document
  (by clicking on an item in the "Structure" frame, you can jump directly
  to the corresponding part of your document
- extensive LaTeX documentation
- in the "Messages / Log File" frame, you can see information about processes
  and the logfile after a LaTeX compilation
- the "Next Latex Error" and "Previous Latex Error" commands let you reach the
  LaTeX errors detected by Kile in the log file
- by clicking on the number of a line in the log file, the cursor jumps to the
  corresponding line in the editor

%prep
%autosetup -p1

# remove bundled dict and qtsingleapplication
rm -r 3rdparty/{hunspell,singleapp}

%ifarch %{ix86} %{arm32}
sed -i 's|INTERNALBROWSER "yes"|INTERNALBROWSER "no"|' CMakeLists.txt
%endif

%build
%cmake
%cmake_build

%install
%cmake_install

# svg desktop icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp datas/distrib/linux/texmaker.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
# man page
mkdir -p %{buildroot}%{_mandir}/man1
cp datas/distrib/linux/texmaker.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc AUTHORS datas/CHANGELOG.txt
%license COPYING datas/license.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_metainfodir}/%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Oct 17 2024 daviddavid <daviddavid> 1:6.0.0-2.mga10
+ Revision: 2107711
- new version: 6.0.0
- switch to cmake build system

* Wed Sep 06 2023 daviddavid <daviddavid> 1:5.1.4-1.mga10
+ Revision: 1984700
- new version: 5.1.4
- switch to Qt6

* Mon Nov 14 2022 neoclust <neoclust> 1:5.1.3-1.mga9
+ Revision: 1907351
- Rediff patch
- New version 5.1.3

* Tue Apr 05 2022 umeabot <umeabot> 1:5.0.4-4.mga9
+ Revision: 1844352
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1:5.0.4-3.mga8
+ Revision: 1660018
- Rebuild for new Qt5

* Wed Feb 19 2020 umeabot <umeabot> 1:5.0.4-2.mga8
+ Revision: 1542558
- Mageia 8 Mass Rebuild

* Sun Jan 05 2020 daviddavid <daviddavid> 1:5.0.4-1.mga8
+ Revision: 1476710
- new version: 5.0.4

* Tue Apr 02 2019 umeabot <umeabot> 1:5.0.3-3.mga7
+ Revision: 1385071
- Qt5 Rebuild

* Fri Nov 23 2018 daviddavid <daviddavid> 1:5.0.3-2.mga7
+ Revision: 1333486
- rebuild for new hunspell 1.7.0

* Thu Nov 01 2018 daviddavid <daviddavid> 1:5.0.3-1.mga7
+ Revision: 1327117
- new version: 5.0.3

* Sun Sep 23 2018 umeabot <umeabot> 1:5.0.2-2.mga7
+ Revision: 1301391
- Mageia 7 Mass Rebuild

* Mon Aug 14 2017 daviddavid <daviddavid> 1:5.0.2-1.mga7
+ Revision: 1140336
- new version: 5.0.2
- rename and rediff unbundle-qtsingleapplication-and-hunspell patch

* Mon Jul 31 2017 daviddavid <daviddavid> 1:5.0.1-1.mga7
+ Revision: 1133066
- new version: 5.0.1
- rename and rediff unbundle-qtsingleapplication-and-hunspell patch
- poppler-qt5 is no more needed

* Mon Nov 28 2016 luigiwalser <luigiwalser> 1:4.5-4.mga6
+ Revision: 1070647
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1:4.5-3.mga6
+ Revision: 1046202
- test rebuild for poppler

* Thu Apr 21 2016 tv <tv> 1:4.5-2.mga6
+ Revision: 1004201
- rebuid for libhunspell 1.4

* Sat Mar 26 2016 daviddavid <daviddavid> 1:4.5-1.mga6
+ Revision: 995639
- new version: 4.5
- switch build to Qt5
- add patch to use system qtsingleapplication and hunspell

* Wed Feb 17 2016 umeabot <umeabot> 1:4.3-5.mga6
+ Revision: 963056
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 1:4.3-4.mga6
+ Revision: 895515
- use %%qmake_qt4 to configure so debuginfo gets built

* Wed Oct 15 2014 umeabot <umeabot> 1:4.3-3.mga5
+ Revision: 738936
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.3-2.mga5
+ Revision: 689851
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 malo <malo> 1:4.3-1.mga5
+ Revision: 671337
- update to 4.3

* Mon Jul 21 2014 malo <malo> 1:4.2-1.mga5
+ Revision: 654910
- update to 4.2

* Sat Oct 19 2013 umeabot <umeabot> 1:4.0.4-2.mga4
+ Revision: 533502
- Mageia 4 Mass Rebuild

* Sat Aug 31 2013 fwang <fwang> 1:4.0.4-1.mga4
+ Revision: 473635
- new version 4.0.4

* Tue Aug 13 2013 malo <malo> 1:4.0.3-1.mga4
+ Revision: 466183
- update to 4.0.3

* Fri Jun 07 2013 malo <malo> 1:4.0.2-1.mga4
+ Revision: 440211
- update to 4.0.2 (patch from William Murphy)

* Mon Jan 14 2013 umeabot <umeabot> 1:3.5.2-2.mga3
+ Revision: 384487
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 malo <malo> 1:3.5.2-1.mga3
+ Revision: 340283
- new version 3.5.2

* Tue Aug 28 2012 malo <malo> 1:3.5-1.mga3
+ Revision: 284990
- new version 3.5

* Wed Jul 25 2012 malo <malo> 1:3.4.1-1.mga3
+ Revision: 274138
- update to 3.4.1

* Thu Jul 19 2012 fwang <fwang> 1:3.4-1.mga3
+ Revision: 272387
- new version3.4

* Wed Jun 13 2012 fwang <fwang> 1:3.3.4-2.mga3
+ Revision: 260193
- rebuild for new poppler

* Sat Jun 02 2012 fwang <fwang> 1:3.3.4-1.mga3
+ Revision: 253256
- new version 3.3.4

* Mon Mar 05 2012 fwang <fwang> 1:3.3.2-1.mga2
+ Revision: 218283
- new version 3.3.2

* Tue Feb 28 2012 fwang <fwang> 1:3.3.1-1.mga2
+ Revision: 215782
- new version 3.3.1

* Mon Feb 27 2012 fwang <fwang> 1:3.3-1.mga2
+ Revision: 215453
- new version 3.3

* Thu Feb 02 2012 malo <malo> 1:3.2.2-1.mga2
+ Revision: 203994
- new version 3.2.2
- spec clean-up

* Sun Dec 25 2011 fwang <fwang> 1:3.2-1.mga2
+ Revision: 187384
- br webkit
- new version 3.2
- new version 3.1
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Mon Jan 31 2011 dmorgan <dmorgan> 1:2.2.1-1.mga1
+ Revision: 45334
- Remove mdv macros
- imported package texmaker


* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 1:2.2.1-1mdv2011.0
+ Revision: 634341
- update to new version 2.2.1

* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1:2.2-1
+ Revision: 633846
- update to new version 2.2

* Wed Oct 27 2010 Lev Givon <lev@mandriva.org> 1:2.1-1mdv2011.0
+ Revision: 589626
- Update to 2.1.

* Tue Aug 31 2010 Lev Givon <lev@mandriva.org> 1:2.0-1mdv2011.0
+ Revision: 574861
- Update to 2.0.
  Update en_US dictionary.

* Fri Feb 19 2010 Lev Givon <lev@mandriva.org> 1:1.9.9-2mdv2010.1
+ Revision: 508359
- Add en_US dictionary (#40598).

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 1:1.9.9-1mdv2010.1
+ Revision: 499566
- New version 1.9.9

* Tue Jun 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.9.2-1mdv2010.0
+ Revision: 391090
- update to new version 1.9.2

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.9.1-1mdv2010.0
+ Revision: 379198
- update to new version 1.9.1

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.9-1mdv2010.0
+ Revision: 378397
- Update to new version 1.9

* Wed Nov 05 2008 David Walluck <walluck@mandriva.org> 1:1.8-1mdv2009.1
+ Revision: 300031
- 1.8

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1:1.7.1-2mdv2009.0
+ Revision: 269424
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 1:1.7.1-1mdv2009.0
+ Revision: 200675
- New version 1.7.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 25 2007 Funda Wang <fwang@mandriva.org> 1:1.6-2mdv2008.0
+ Revision: 71117
- BR desktop-file-utils
- fix invalid desktop file

* Thu Jun 21 2007 David Walluck <walluck@mandriva.org> 1:1.6-1mdv2008.0
+ Revision: 42159
- 1.6
- use full source URL

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 1:1.5-2mdv2008.0
+ Revision: 26094
- install docs where it can find them

* Wed May 09 2007 Austin Acton <austin@mandriva.org> 1:1.5-1mdv2008.0
+ Revision: 25770
- requires aspell
- epoch 1
- new version
- use qt4, drop KDE dependency
- force build flags
- XDG menu, FD.o icons (cookies!!)


* Mon Jun 26 2006 Pascal Terjan <pterjan@mandriva.org> 1.12-2mdv2007.0
- fix qtdir and path to the lib on x86_64
- mkrel

* Thu Apr 28 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.12-1mdk
- 1.12

* Wed Jun 16 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.1-3mdk
- rebuild

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 1.0.1-2mdk
- Fix menu

* Tue Aug 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Sun Jul 20 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-3mdk
- fix menu section (David Coe <david.coe@dsl.pipex.com>)

* Sat Jul 19 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-2mdk
- buildrequires kdelibs-devel

* Fri Jul 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-1mdk
- 1st mdk contrib (Thanks to war[sheep] to notify me this tools)

